package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TdCheckMapper;
import com.ruoyi.system.domain.TdCheck;
import com.ruoyi.system.service.ITdCheckService;
import com.ruoyi.common.core.text.Convert;

/**
 * 检查报告管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-05-06
 */
@Service
public class TdCheckServiceImpl implements ITdCheckService 
{
    @Autowired
    private TdCheckMapper tdCheckMapper;

    /**
     * 查询检查报告管理
     * 
     * @param checkId 检查报告管理主键
     * @return 检查报告管理
     */
    @Override
    public TdCheck selectTdCheckByCheckId(Long checkId)
    {
        return tdCheckMapper.selectTdCheckByCheckId(checkId);
    }

    /**
     * 查询检查报告管理列表
     * 
     * @param tdCheck 检查报告管理
     * @return 检查报告管理
     */
    @Override
    public List<TdCheck> selectTdCheckList(TdCheck tdCheck)
    {
        return tdCheckMapper.selectTdCheckList(tdCheck);
    }

    /**
     * 新增检查报告管理
     * 
     * @param tdCheck 检查报告管理
     * @return 结果
     */
    @Override
    public int insertTdCheck(TdCheck tdCheck)
    {
        return tdCheckMapper.insertTdCheck(tdCheck);
    }

    /**
     * 修改检查报告管理
     * 
     * @param tdCheck 检查报告管理
     * @return 结果
     */
    @Override
    public int updateTdCheck(TdCheck tdCheck)
    {
        return tdCheckMapper.updateTdCheck(tdCheck);
    }

    /**
     * 批量删除检查报告管理
     * 
     * @param checkIds 需要删除的检查报告管理主键
     * @return 结果
     */
    @Override
    public int deleteTdCheckByCheckIds(String checkIds)
    {
        return tdCheckMapper.deleteTdCheckByCheckIds(Convert.toStrArray(checkIds));
    }

    /**
     * 删除检查报告管理信息
     * 
     * @param checkId 检查报告管理主键
     * @return 结果
     */
    @Override
    public int deleteTdCheckByCheckId(Long checkId)
    {
        return tdCheckMapper.deleteTdCheckByCheckId(checkId);
    }
}
